--- title: "Request video asset analysis (deprecated)" slug: "maiu-request-analysis-depr" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-request-analysis-depr" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Request video asset analysis (deprecated) Available in VPC Caution This API is deprecated and is scheduled to be terminated in January 2027. Use the new [Request media asset analysis](/docs/en/mi-request-index) API. Analyze a video asset to create an index, which is the result of video analysis. After video asset registration is complete, requesting an analysis will execute the analysis process. For more information, see the workflow image below. ![maiu-request-analysis_workflow](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/maiu-request-analysis_workflow.png?sv=2026-02-06&spr=https&st=2026-11-14T05%3A56%3A27Z&se=2026-11-14T06%3A56%3A27Z&sr=c&sp=r&sig=XxH3vqPolPKmfOQZJjlZAiKmaGq7GrVhXeiRAtDq%2FyU%3D) ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/{video_asset_id}/analyze | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `video_asset_id` | String | Required | Video asset ID - See [Get video asset list](/docs/en/maiu-list-assets). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `sceneRange` | String | Optional | Length of automatically split scenes - `EXTRA_SHORT` \| `SHORT` \| `MEDIUM` (default) \| `LONG` - `EXTRA_SHORT`: Between 10-20 seconds - `SHORT`: Analyze detailed scenes in the video with second-by-second segmentation. - `MEDIUM`: Capture key changes while maintaining proper flow between scenes. - `LONG`: Maintain a natural flow by enhancing connectivity between scenes. | | `analysisPersonCount` | Integer | Required | Number of people to detect when analyzing video - 0-10 - When 0 is entered, people are not analyzed, which speeds up analysis. | | `tagIdList` | Array | Optional | Tag of people to detect when analyzing video - Length: 1-30 | | `sourceLanguage` | enum | Optional | Language information of the original video being analyzed - `ENKO` (default) \| `EN` \| `KO` \| `JA` \| `ZH-CN` \| `ZH-TW` - `ENKO`: Korean + English - `EN`: English - `KO`: Korean - `JA`: Japanese - `ZH-CN`: Chinese (Simplified) - `ZH-TW`: Chinese (Traditional) | | `detectAudioEffects` | Boolean | Optional | Audio effect detection - `true` \| `false` (default) - Detect "applause," "laughter," and "background music" items when enabled. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/5678/analyze' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "sceneRange": "LONG", "sourceLanguage": "ENKO", "detectAudioEffects": false, "analysisPersonCount": 3, "tagIdList": [101, 203, 307] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Analysis result | | `result.id` | Integer | - | Video asset ID | | `result.createdTime` | String | - | Index creation date and time - ISO 8601 format | | `result.createdUserName` | String | - | User name that created the index | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "id": 1001, "createdTime": "2025-04-23T17:13:48", "createdUserName": "username" } } ```